Index: branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsProcessExist.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsProcessExist.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsProcessExist.cs	(revision 51)
@@ -502,27 +817,30 @@
         private static bool ExistConstructionLedger()
         {
             IOConstructionLedger LedgerDB = new IOConstructionLedger();
-            IOConstructionBudget BudgetDB = new IOConstructionBudget();
-            IOProcessApproval ApprovalDB = new IOProcessApproval();
             try
             {
-                // 工事詳細台帳データの存在チェック
-                string strSQL = LedgerDB.CreatePrimarykeyString(m_ConstructionCode);
-                ConstructionLedger LedgerRec = new ConstructionLedger();
-                if (LedgerDB.SelectAction(strSQL, ref LedgerRec)) return true;
+                // 起動権限チェック
+                int Editflg = 0;
+                if (!ClsSecurityPermission.GetExecutePermission((int)ClsExcute.ProcessExecuteNo.ConstructionLedger, ref Editflg)) return false;
 
-                // 工事予算書データの存在チェック
-                strSQL = BudgetDB.CreatePrimarykeyString(m_ConstructionCode);
-                ConstructionBudget BudgetRec = new ConstructionBudget();
-                if (!BudgetDB.SelectAction(strSQL, ref BudgetRec)) return false;
+                // データの存在確認
+                string strSQL = "SELECT A.CONSTRUCTIONCODE, B.APPROVALCODE, B.APPROVALSTATUS, C.CONSTRUCTIONCODE";
+                strSQL += " FROM CONSTRUCTIONLEDGER A";
+                strSQL += " LEFT JOIN PROCESSAPPROVAL B";
+                strSQL += " ON B.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE";
+                strSQL += string.Format(" AND B.APPROVALCODE = {0}", (int)ClsExcute.ApprovalListNo.ConstructionBudgetApproval);
+                strSQL += string.Format(" AND B.ORDERNO = {0}", CommonDefine.s_Default_OrderNo);
+                strSQL += " AND B.SEQNO = 1";
+                strSQL += string.Format(" AND B.APPROVALSTATUS = {0}", (int)CommonDefine.ApprovalStatus.Approval);
+                strSQL += " LEFT JOIN CONSTRUCTIONLEDGER C";
+                strSQL += " ON C.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE";
+                strSQL += string.Format(" WHERE A.CONSTRUCTIONCODE = {0}", m_SearchCode);
+                strSQL += " GROUP BY A.CONSTRUCTIONCODE, B.APPROVALCODE, B.APPROVALSTATUS, C.CONSTRUCTIONCODE";
+                
+                ArrayList LedgerList = new ArrayList();
+                if (!LedgerDB.ExecuteReader(strSQL, ref LedgerList)) return false;
+                if (LedgerList.Count == 0) return false;
 
-                // 承認データの確認
-                strSQL += string.Format(" AND APPROVALCODE = {0} AND SEQNO = 1", (int)ClsExcute.ApprovalListNo.ConstructionBudgetApproval);
-                strSQL += string.Format("  AND APPROVALSTATUS = {0}", (int)CommonDefine.ApprovalStatus.Approval);
-
-                ProcessApproval ApprovalRec = new ProcessApproval();
-                if (!ApprovalDB.SelectAction(strSQL, ref ApprovalRec)) return false;
-
                 return true;
             }
             catch (Exception ex)
@@ -533,8 +851,6 @@
             finally
             {
                 LedgerDB.close(); LedgerDB = null;
-                BudgetDB.close(); BudgetDB = null;
-                ApprovalDB.close(); ApprovalDB = null;
             }
         }
         #endregion
@@ -549,8 +865,23 @@
             IOConstructionLedger LedgerDB = new IOConstructionLedger();
             try
             {
+                // 起動権限チェック
+                int Editflg = 0;
+                if (!ClsSecurityPermission.GetExecutePermission((int)ClsExcute.ProcessExecuteNo.TAndPCosts, ref Editflg)) return false;
+
                 // 工事詳細台帳データの存在チェック
-                string strSQL = LedgerDB.CreatePrimarykeyString(m_ConstructionCode);
+                string strSQL = string.Empty;
+
+                // 結合工事以外の場合は自データのチェック
+                if (m_BaseInfoJoinFlg == (int)CommonDefine.BaseInfoJoinFlg.Standard)
+                {
+                    strSQL = LedgerDB.CreatePrimarykeyString(m_ConstructionCode);
+                }
+                else
+                {
+                    strSQL = WhereString();
+                }
+
                 ConstructionLedger LedgerList = new ConstructionLedger();
                 if (!LedgerDB.SelectAction(strSQL, ref LedgerList)) return false;
 
@@ -568,6 +899,53 @@
         }
         #endregion
 
+        #region 14:請求書印刷データ存在確認
+        /// <summary>
+        /// 14:請求書印刷データ存在確認
+        /// </summary>
+        /// <returns></returns>
+        private static bool ExistRequestPrint()
+        {
+            IORequestDataDetail db = new IORequestDataDetail();
+            try
+            {
+                // 起動権限チェック
+                int Editflg = 0;
+                if (!ClsSecurityPermission.GetExecutePermission((int)ClsExcute.ProcessExecuteNo.RequestPrint, ref Editflg)) return false;
+
+
+                string strSQL = string.Empty;
+
+                List<RequestDataDetail> ReqDtlList = new List<RequestDataDetail>();
+                strSQL = string.Format(" WHERE CONSTRUCTIONCODE = {0} ", m_ConstructionCode);
+                if (!db.SelectAction(strSQL, ref ReqDtlList)) return false;
+
+                bool Approvedflg = false;
+
+                foreach (RequestDataDetail dt in ReqDtlList)
+                {
+                    // 最終承認されている(承認済）の場合
+                    if (ClsApprovalPermission.CheckApprovalData(m_ConstructionCode, (int)ClsExcute.ApprovalListNo.OrderBillingApproval, dt.OrderNo))
+                    {
+                        Approvedflg = true;
+                        break;
+                    }
+                }
+
+                return Approvedflg;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+            finally
+            {
+                db.close(); db = null;
+            }
+        }
+        #endregion
+
         #region 15:日報入力存在確認
         /// <summary>
         /// 15:日報入力存在確認
@@ -578,6 +956,10 @@
             IOConstructionLedger LedgerDB = new IOConstructionLedger();
             try
             {
+                // 起動権限チェック
+                int Editflg = 0;
+                if (!ClsSecurityPermission.GetExecutePermission((int)ClsExcute.ProcessExecuteNo.DRConstruction, ref Editflg)) return false;
+
                 // 工事詳細台帳データの存在チェック
                 string strSQL = LedgerDB.CreatePrimarykeyString(m_ConstructionCode);
                 ConstructionLedger LedgerList = new ConstructionLedger();
